dartmagur 0.1.3

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • new0

dartmagur Pub documentation

Imagur library for dart.

Docs

Dartdocs

Dartdocs

Documentation

Dartmagur class is main point of library. For now you can initialize it only with clientId. Library don't supports POST endpoints - Work in Progress.

var dartmagur = new Dartmagur("<YOU CLIENT ID>");

From there you have few options

Get Album

Future<Album> getAlbum(String id);
  • id - id of album

Get Gallerys

This endpoint returns list of Imagur's gallerys. Results can be filtered with optional parameters.

Future<List<Gallery>> getGallerys
  ({String section: "hot", String sort: "viral", int page: 0, 
    String window: "day", bool showViral: true, bool mature: true, })
  • section - Section to where search for gallery. hot | top | user. Defaults to hot
  • sort - How to sort results. viral | top | time | rising (only available with user section). Defaults to viral
  • page - page number
  • window - Change the date range of the request if the section is top. Accepted values are day | week | month | year | all. Defaults to day

Gets gallery based on given id

 Future<Gallery> getGallery(String id)
  • id - Gallery id

Get Subreddit

Gets list of images on subreddit

 Future<List<Image>> getSubreddit(String id, {String sort: "time", int page: 0, String window: "week"})
  • id - id of subreddit
  • sort - How to sort results. viral | top | time | rising (only available with user section). Defaults to viral
  • page - page number
  • window - Change the date range of the request if the section is top. Accepted values are day | week | month | year | all. Defaults to day

Searches for Gallery with list fo keywords.

Future<List<Gallery>> searchGallery(List<String> query, {String sort: "time", String window: "all", int page: 0})
  • query - list of keywords. All keywords are automatically ORed.
  • sort - How to sort results. viral | top | time | rising (only available with user section). Defaults to viral
  • page - page number
  • window - Change the date range of the request if the section is top. Accepted values are day | week | month | year | all. Defaults to day

0.1.3

  • added support for image sizes

0.1.2

  • fixed formatting
  • added badges to README

0.1.1

  • added docs
  • fixed subreddit deserializing

0.1.0

  • Initial version, created by Stagehand

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  dartmagur: ^0.1.3

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


import 'package:dartmagur/dartmagur.dart';
  
Version Uploaded Documentation Archive
0.1.3 Aug 1, 2018 Go to the documentation of dartmagur 0.1.3 Download dartmagur 0.1.3 archive
0.1.2 Jul 31, 2018 Go to the documentation of dartmagur 0.1.2 Download dartmagur 0.1.2 archive
0.1.1 Jul 31, 2018 Go to the documentation of dartmagur 0.1.1 Download dartmagur 0.1.1 archive
Popularity:
Describes how popular the package is relative to other packages. [more]
0
Health:
Code health derived from static analysis. [more]
0
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
0
Overall:
Weighted score of the above. [more]
0
Learn more about scoring.

The package version is not analyzed, because it does not support Dart 2. Until this is resolved, the package will receive a health and maintenance score of 0.

Issues and suggestions

Support Dart 2 in pubspec.yaml.

The SDK constraint in pubspec.yaml doesn't allow the Dart 2.0.0 release. For information about upgrading it to be Dart 2 compatible, please see https://www.dartlang.org/dart-2#migration.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.20.1 <2.0.0